com.fasterxml.jackson.databind.deser.std

## Class ThrowableDeserializer

- java.lang.Object
- - com.fasterxml.jackson.databind.JsonDeserializer<T>
  - - com.fasterxml.jackson.databind.deser.std.StdDeserializer<Object>
    - - com.fasterxml.jackson.databind.deser.BeanDeserializerBase
      - - com.fasterxml.jackson.databind.deser.BeanDeserializer
        - - com.fasterxml.jackson.databind.deser.std.ThrowableDeserializer

All Implemented Interfaces:
  ContextualDeserializer, ResolvableDeserializer, Serializable

    public class ThrowableDeserializer
    extends BeanDeserializer

Deserializer that builds on basic `BeanDeserializer` but override some aspects like instance construction.

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class com.fasterxml.jackson.databind.JsonDeserializer

`JsonDeserializer.None`

### Field Summary

Fields
`protected static String` `PROP_NAME_MESSAGE`

### Fields inherited from class com.fasterxml.jackson.databind.deser.BeanDeserializerBase

`_anySetter, _backRefs, _beanProperties, _beanType, _delegateDeserializer, _externalTypeIdHandler, _ignorableProps, _ignoreAllUnknown, _injectables, _needViewProcesing, _nonStandardCreation, _objectIdReader, _propertyBasedCreator, _serializationShape, _subDeserializers, _unwrappedPropertyHandler, _valueInstantiator, _vanillaProcessing, TEMP_PROPERTY_NAME`

### Fields inherited from class com.fasterxml.jackson.databind.deser.std.StdDeserializer

`_valueClass`

### Constructor Summary

Constructors
`` `ThrowableDeserializer(BeanDeserializer baseDeserializer)`
`protected` `ThrowableDeserializer(BeanDeserializer src, NameTransformer unwrapper)` Alternative constructor used when creating "unwrapping" deserializers

### Method Summary

Methods
`Object` `deserializeFromObject(JsonParser jp, DeserializationContext ctxt)` General version used when handling needs more advanced features.
`JsonDeserializer<Object>` `unwrappingDeserializer(NameTransformer unwrapper)` Method that will return deserializer instance that is able to handle "unwrapped" value instances If no unwrapped instance can be constructed, will simply return this object as-is.

### Methods inherited from class com.fasterxml.jackson.databind.deser.BeanDeserializer

`_deserializeOther, _deserializeUsingPropertyBased, _missingToken, asArrayDeserializer, deserialize, deserialize, deserializeUsingPropertyBasedWithExternalTypeId, deserializeUsingPropertyBasedWithUnwrapped, deserializeWithExternalTypeId, deserializeWithExternalTypeId, deserializeWithUnwrapped, deserializeWithUnwrapped, deserializeWithView, withIgnorableProperties, withObjectIdReader`

### Methods inherited from class com.fasterxml.jackson.databind.deser.BeanDeserializerBase

`_convertObjectId, _findSubclassDeserializer, _handleTypedObjectId, _resolveInnerClassValuedProperty, _resolveManagedReferenceProperty, _resolveUnwrappedProperty, createContextual, creatorProperties, deserializeFromArray, deserializeFromBoolean, deserializeFromDouble, deserializeFromNumber, deserializeFromObjectId, deserializeFromObjectUsingNonDefault, deserializeFromString, deserializeWithObjectId, deserializeWithType, findBackReference, findConvertingDeserializer, findProperty, findProperty, findProperty, getBeanClass, getKnownPropertyNames, getObjectIdReader, getPropertyCount, getValueInstantiator, getValueType, handledType, handleIgnoredProperty, handlePolymorphic, handleUnknownProperties, handleUnknownProperty, handleUnknownVanilla, hasProperty, hasViews, injectValues, isCachable, properties, replaceProperty, resolve, wrapAndThrow, wrapAndThrow, wrapInstantiationProblem`

### Methods inherited from class com.fasterxml.jackson.databind.deser.std.StdDeserializer

`_hasTextualNull, _parseBoolean, _parseBooleanFromNumber, _parseBooleanPrimitive, _parseByte, _parseDate, _parseDouble, _parseDoublePrimitive, _parseFloat, _parseFloatPrimitive, _parseInteger, _parseIntPrimitive, _parseLong, _parseLongPrimitive, _parseShort, _parseShortPrimitive, _parseString, findConvertingContentDeserializer, findDeserializer, getValueClass, isDefaultDeserializer, isDefaultKeyDeserializer, parseDouble`

### Methods inherited from class com.fasterxml.jackson.databind.JsonDeserializer

`getDelegatee, getEmptyValue, getNullValue, replaceDelegatee`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### PROP_NAME_MESSAGE

    protected static final String PROP_NAME_MESSAGE

See Also:
  Constant Field Values

### Constructor Detail

#### ThrowableDeserializer

    public ThrowableDeserializer(BeanDeserializer baseDeserializer)

#### ThrowableDeserializer

    protected ThrowableDeserializer(BeanDeserializer src,
                         NameTransformer unwrapper)

Alternative constructor used when creating "unwrapping" deserializers

### Method Detail

#### unwrappingDeserializer

    public JsonDeserializer<Object> unwrappingDeserializer(NameTransformer unwrapper)

Description copied from class: `JsonDeserializer`
Method that will return deserializer instance that is able to handle "unwrapped" value instances If no unwrapped instance can be constructed, will simply return this object as-is.

Default implementation just returns 'this' indicating that no unwrapped variant exists

Overrides:
  `unwrappingDeserializer` in class `BeanDeserializer`

#### deserializeFromObject

    public Object deserializeFromObject(JsonParser jp,
                               DeserializationContext ctxt)
                                 throws IOException,
                                        JsonProcessingException

Description copied from class: `BeanDeserializer`
General version used when handling needs more advanced features.

Overrides:
  `deserializeFromObject` in class `BeanDeserializer`
Throws:
  `IOException`
  `JsonProcessingException`